
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

.dshmaindiv {
    background:#f4f6f9;
    font-family:Arial, Helvetica, sans-serif;
}
.user-value {
        font-size: 18px;
}


td a {
    text-decoration: none;
    margin: 0 6px;
    font-size: 18px;
}

td a:first-child {
    color: #007bff;   /* Edit - Blue */
}

td a:last-child {
    color: #dc3545;   /* Delete - Red */
}

td a:hover {
    opacity: 0.8;
}

/* Sidebar */

.sidebar{
    background:#1e293b;
    color:#fff;
    min-height:100vh;
    padding-top:20px;
}

.sidebar h3{
    font-size:26px;
    font-weight:bold;
    margin-bottom:20px;
}

.sidebar hr{
    border-color:rgba(255,255,255,.15);
}

.sidebar a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #fff;
    text-decoration: none;
    padding: 14px 4px;
    border-radius: 8px;
    margin: 6px 10px;
    transition: .3s;
    font-size: 15px;
}

.sidebar a:hover{
    background:#334155;
    transform:translateX(4px);
}

/* Content */

.content {
    padding: 10px 20px;
}

.content h2{
    font-weight:700;
    margin: 0px;
}

/* Cards */

.card-box{
    border-radius:15px;
    color:#fff;
    padding:25px;
    min-height:170px;
    display:flex;
    flex-direction:column;
    justify-content:space-between;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
    transition:.3s;
}

.card-box:hover{
    transform:translateY(-6px);
}

.card-box h5{
    font-size:18px;
    font-weight:600;
}

.card-box h2{
    font-size:40px;
    font-weight:bold;
}

.card-box .btn{
    border-radius:8px;
    font-weight:600;
}

/* Topbar */

.top-bar{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:0px;
}

.menu-btn{
    display:none;
}

/* Tablet */

@media (max-width:991px){
     .user-value {
        font-size: 16px;
    }
    .form-select {
        font-size: 14px;
    }

.sidebar{
    min-height:auto;
}

.content{
    padding:20px;
}

.card-box{
    margin-bottom:20px;
}
.sidebar a {
    padding: 12px 7px;
    margin: 4px 0px;
    font-size: 14px;
}
.card-box {
    border-radius: 10px;
    padding: 20px;
    min-height: 130px;
}
.card-box h5 {
    font-size: 16px;
}
.card-box .btn {
    font-size: 14px;
}
.card-box h2 {
    font-size: 28px;
}

}

/* Mobile */

@media (max-width:767px){
    .form-select {
        font-size: 14px;
    }

.content{
    padding:15px;
}

.top-bar{
    flex-wrap:wrap;
    gap:15px;
}

.top-bar h2{
    font-size:24px;
}

.card-box{
    min-height:auto;
    padding:20px;
}

.card-box h2{
    font-size:32px;
}

.menu-btn{
    display:inline-block;
}
.sidebar a {
    padding: 12px 7px;
    margin: 4px 0px;
    font-size: 14px;
}
.card-box {
    border-radius: 10px;
    padding: 20px;
    min-height: 130px;
}
.card-box h5 {
    font-size: 16px;
}
.card-box .btn {
    font-size: 14px;
}
.card-box h2 {
    font-size: 28px;
}
 .user-value {
        font-size: 14px;
    }

}

/* Small Mobile */

@media (max-width:575px){
    .user-value {
        font-size: 14px;
    }
    .form-select {
        font-size: 14px;
    }
    .sidebar a {
    padding: 12px 7px;
    margin: 4px 0px;
    font-size: 14px;
}
.card-box {
    border-radius: 10px;
    padding: 20px;
    min-height: 130px;
}
.card-box h5 {
    font-size: 16px;
}
.card-box .btn {
    font-size: 14px;
}
.card-box h2 {
    font-size: 28px;
}

.content{
    padding:12px;
}

.sidebar h3{
    font-size:22px;
}

.sidebar a{
    font-size:15px;
    padding:12px;
}

.card-box{
    padding:18px;
}

.card-box h5{
    font-size:16px;
}

.card-box h2{
    font-size:28px;
}



}

/* Large Desktop */

@media (min-width:1400px){
.user-value {
        font-size: 18px;
}
.content{
    padding:40px;
}

.card-box{
    min-height:190px;
}

.card-box h2{
    font-size:48px;
}
.sidebar a {
    padding: 12px 7px;
    margin: 4px 0px;
    font-size: 14px;
}

}

/*table css*/
.table-responsive{
    width:100%;
    overflow-x:auto;
    -webkit-overflow-scrolling:touch;
    border-radius:10px;
}

.table{
    min-width:1800px;
}

.table th{
    background:#212529;
    color:#fff;
    white-space:nowrap;
    font-size:14px;
}

.table td{
    white-space:nowrap;
    vertical-align:middle;
    font-size:14px;
}

.table-responsive{
    overflow-x:auto;
    position:relative;
}

.table{
    min-width:1800px;
    border-collapse:separate;
    border-spacing:0;
}

.sticky-action{
    position:sticky;
    right:0;
    background:#fff;
    z-index:10;
    min-width:120px;
    text-align:center;
    box-shadow:-3px 0 5px rgba(0,0,0,0.1);
}

.table thead .sticky-action{
    background: #21252940;
    color: #fff;
    z-index: 20;
    backdrop-filter: blur(2px);
}

.table tbody tr:nth-child(even) .sticky-action{
    background: #dddddd61;
    backdrop-filter: blur(2px);
}

.table tbody tr:nth-child(odd) .sticky-action{
    background: #8f8f8f47;
    backdrop-filter: blur(2px);
}

.table img{
    width:70px;
    height:70px;
    object-fit:cover;
    border-radius:6px;
}

@media(max-width:768px){

.table{
    min-width:1600px;
}

.table th,
.table td{
    font-size:13px;
    padding:8px;
}

.table img{
    width:55px;
    height:55px;
}

}


/*admin login css start*/
.main-div {
    height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    background:#e8e8e8;
    padding:20px;
}

.login-box{
    width:100%;
    max-width:400px;
    background:#fff;
    padding:40px 30px;
    border-radius:15px;
    box-shadow:0 20px 50px rgba(0,0,0,.25);
}

.login-box h2{
    text-align:center;
    margin-bottom:10px;
    color:#222;
}

.login-box p{
    text-align:center;
    color:#777;
    margin-bottom:30px;
    font-size:14px;
}

.input-group{
    margin-bottom:20px;
}

.input-group label{
    display:block;
    margin-bottom:8px;
    color:#444;
    font-size:14px;
    font-weight:bold;
}

.input-group input{
    width:100%;
    padding:14px;
    border:1px solid #ddd;
    border-radius:10px;
    outline:none;
    font-size:15px;
    transition:.3s;
}

.input-group input:focus{
    border-color:#4f46e5;
    box-shadow:0 0 8px rgba(79,70,229,.25);
}

button{
    width:100%;
    padding:14px;
    background:#1570a6;
    color:#fff;
    border:none;
    border-radius:10px;
    font-size:16px;
    cursor:pointer;
    transition:.3s;
}

button:hover{
    background:#3730a3;
}

.footer{
    text-align:center;
    margin-top:20px;
    color:#666;
    font-size:13px;
}

/* Mobile */
@media(max-width:480px){

.login-box{
    padding:30px 20px;
}

.login-box h2{
    font-size:24px;
}

button{
    padding:13px;
}

}
/*admin login css end*/





.contentd{
    padding:25px;
    background:#f5f7fb;
    min-height:100vh;
}

.card{
    border-radius:15px;
}

.card-header{
    border-radius:15px 15px 0 0 !important;
}

.form-control,
.form-select{
    height:48px;
    border-radius:8px;
}

textarea.form-control{
    height:auto;
}

.form-control:focus,
.form-select:focus{
    box-shadow:none;
    border-color:#0d6efd;
}

.btn-primary{
    padding:12px 35px;
    border-radius:8px;
    font-weight:600;
}

@media(max-width:991px){

.contentd{
padding:15px;
}

.card-body{
padding:20px;
}

}

@media(max-width:576px){

.top-bar h2{
font-size:22px;
}

.card-header h4{
font-size:20px;
}

.btn-primary{
width:100%;
}

}